<?php

namespace app\entity\monomer\store;

use app\entity\monomer\MonomerEntity;

class StoreOrderPensionJsonEntity extends MonomerEntity
{
    public $pensionIs = 0; // 是否 单独设置百分比
    public $pension = 0.00; // 商品外部展示的要老金数据
    public $attrValuePensionNum = 0.00; // 针对每个规格设置的 该规格养老金分配比例

    /**
     * @return int
     */
    public function getPensionIs(): int
    {
        return $this->pensionIs;
    }

    /**
     * @param mixed $pensionIs
     * @return StoreOrderPensionJsonEntity
     */
    public function setPensionIs($pensionIs): StoreOrderPensionJsonEntity
    {
        $this->pensionIs = (int)$pensionIs;
        return $this;
    }

    /**
     * @return float
     */
    public function getPension(): float
    {
        return $this->pension;
    }

    /**
     * @param mixed $pension
     * @return StoreOrderPensionJsonEntity
     */
    public function setPension($pension): StoreOrderPensionJsonEntity
    {
        $this->pension = (float)$pension;
        return $this;
    }

    /**
     * @return float
     */
    public function getAttrValuePensionNum(): float
    {
        return $this->attrValuePensionNum;
    }

    /**
     * @param mixed $attrValuePensionNum
     * @return StoreOrderPensionJsonEntity
     */
    public function setAttrValuePensionNum($attrValuePensionNum): StoreOrderPensionJsonEntity
    {
        $this->attrValuePensionNum = (float)$attrValuePensionNum;
        return $this;
    }
}